Properties Methods Events Config Options Direct Link

    DayView
      WeekView

# Class Ext.calendar.WeekView

Package: | Ext.calendar
Defined In: | WeekView.js
Class: | WeekView
Extends: | DayView

Displays a calendar view by week. This class does not usually need ot be used directly as you can use a CalendarPanel to manage multiple calendar views at once including the week view.

## Config Options

Config Options | Defined By
--- | ---
| dayCount : Number The number of days to display in the view (defaults to 7) | WeekView
| ddCreateEventText : String The text to display inside the drag proxy while dragging over the calendar to create a new event (defaults to 'Creat... The text to display inside the drag proxy while dragging over the calendar to create a new event (defaults to 'Create event for {0}' where {0} is a date range supplied by the view) | DayView
| ddMoveEventText : String The text to display inside the drag proxy while dragging an event to reposition it (defaults to 'Move event to {0}' ... The text to display inside the drag proxy while dragging an event to reposition it (defaults to 'Move event to {0}' where {0} is the updated event start date/time supplied by the view) | DayView
| showTime : Boolean True to display the current time in today's box in the calendar, false to not display it (defautls to true) | DayView
| showTodayText : Boolean True to display the todayText string in today's box in the calendar, false to not display it (defautls to true) | DayView
| todayText : String The text to display in the current day's box in the calendar when showTodayText is true (defaults to 'Today') | DayView

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

WeekView( `Object config` )
Parameters:

- `config` : Object
  The config object

Returns:

- void

WeekView

getStartDate() : Date
Returns the start date of the view, as set by setStartDate. Note that this may not be the first date displayed in th...
Returns the start date of the view, as set by setStartDate. Note that this may not be the first date displayed in the rendered calendar -- to get the start and end dates displayed to the user use getViewBounds.
Parameters:

- None.

Returns:

- `Date`
  The start date

DayView

isToday() : Boolean
Returns true if the view is currently displaying today's date, else false.
Returns true if the view is currently displaying today's date, else false.
Parameters:

- None.

Returns:

- `Boolean`
  True or false

DayView

moveDays( `Number value` ) : void
Shifts the view by the passed number of days relative to the currently set date
Shifts the view by the passed number of days relative to the currently set date
Parameters:

- `value` : Number
  The number of days (positive or negative) by which to shift the view

Returns:

- void

DayView

moveNext() : void
Updates the view to the next consecutive date(s)
Updates the view to the next consecutive date(s)
Parameters:

- None.

Returns:

- void

DayView

movePrev() : void
Updates the view to the previous consecutive date(s)
Updates the view to the previous consecutive date(s)
Parameters:

- None.

Returns:

- void

DayView

moveTo( `Date dt` ) : void
Updates the view to contain the passed date
Updates the view to contain the passed date
Parameters:

- `dt` : Date
  The date to display

Returns:

- void

DayView

moveToday() : void
Updates the view to show today
Updates the view to show today
Parameters:

- None.

Returns:

- void

DayView

setStartDate( `Date dt` ) : void
Sets the start date used to calculate the view boundaries to display. The displayed view will be the earliest and la...
Sets the start date used to calculate the view boundaries to display. The displayed view will be the earliest and latest dates that match the view requirements and contain the date passed to this function.
Parameters:

- `dt` : Date
  The date used to calculate the new view boundaries

Returns:

- void

DayView

## Public Events

This class has no public events.